-- | The 'Reversible' typeclass.

module Network.DNS.RBL.Reversible ( Reversible(..) )
where

-- | This class is pretty straightforward. It's for things that you
-- can reverse, or flip around, or make backwards, or however you want
-- to think of it. Our primary application is to hostname components.
--
class Reversible a where
  backwards :: a -> a
